# OpenGl_telem_filters.h File Reference

## Enumerations

enum | TFilterSet { InvisFilter, HighlFilter, PickFilter }

## Functions

TStatus | TglSetHighlFilter (Tint, Tint, Tint *, Tint, Tint *)
TStatus | TglSetPickFilter (Tint, Tint, Tint *, Tint, Tint *)
TStatus | TglSetInvisFilter (Tint, Tint, Tint *, Tint, Tint *)
TStatus | TglNamesetPush (void)
TStatus | TglNamesetPop (void)
TStatus | TglNamesetAdd (Tint, Tint *)
TStatus | TglNamesetRemove (Tint, Tint *)
TStatus | TglDeleteFiltersForWS (Tint wsid)
TStatus | TglFilterNameset (Tint, TFilterSet)

## Enumeration Type Documentation

enum TFilterSet

Enumeration values:

  InvisFilter |
  HighlFilter |
  PickFilter |

## Function Documentation

TStatus TglDeleteFiltersForWS | ( | Tint | wsid | ) |

TStatus TglFilterNameset | ( | Tint | ,
|  | TFilterSet |
| ) |

TStatus TglNamesetAdd | ( | Tint | ,
|  | Tint * |
| ) |

TStatus TglNamesetPop | ( | void |  | ) |

TStatus TglNamesetPush | ( | void |  | ) |

TStatus TglNamesetRemove | ( | Tint | ,
|  | Tint * |
| ) |

TStatus TglSetHighlFilter | ( | Tint | ,
|  | Tint | ,
|  | Tint * | ,
|  | Tint | ,
|  | Tint * |
| ) |

TStatus TglSetInvisFilter | ( | Tint | ,
|  | Tint | ,
|  | Tint * | ,
|  | Tint | ,
|  | Tint * |
| ) |

TStatus TglSetPickFilter | ( | Tint | ,
|  | Tint | ,
|  | Tint * | ,
|  | Tint | ,
|  | Tint * |
| ) |